/* Includes ------------------------------------------------------------------*/
#include <stm32f30x.h>
#include <stdint.h>
#include "stm32f30x_conf.h"
#include "stm32f3_discovery.h"
#include <stdio.h>

/* Private function prototypes -----------------------------------------------*/
void init_Clocks(void);
void init_GPIO(void);

int main(void)
{
	init_Clocks();
	init_GPIO();
	while(1) {
		if (GPIO_ReadInputDataBit(GPIOA,GPIO_Pin_0)) {  //if user's button pushed
			GPIO_SetBits(GPIOE,GPIO_Pin_8); //Turn GPIOE Pin 8 On
			GPIO_SetBits(GPIOE,GPIO_Pin_11); //Turn GPIOE Pin 11 On
			GPIO_SetBits(GPIOE,GPIO_Pin_12); //Turn GPIOE Pin 12 On
			GPIO_SetBits(GPIOE,GPIO_Pin_15); //Turn GPIOE Pin 15 On
			GPIO_ResetBits(GPIOE,GPIO_Pin_9); //Turn GPIOE Pin 9 Off
			GPIO_ResetBits(GPIOE,GPIO_Pin_10); //Turn GPIOE Pin 10 Off
			GPIO_ResetBits(GPIOE,GPIO_Pin_13); //Turn GPIOE Pin 13 Off
			GPIO_ResetBits(GPIOE,GPIO_Pin_14); //Turn GPIOE Pin 14 Off
		} else {
			GPIO_ResetBits(GPIOE,GPIO_Pin_8); //Turn GPIOE Pin 8 On
			GPIO_ResetBits(GPIOE,GPIO_Pin_11); //Turn GPIOE Pin 11 On
			GPIO_ResetBits(GPIOE,GPIO_Pin_12); //Turn GPIOE Pin 12 On
			GPIO_ResetBits(GPIOE,GPIO_Pin_15); //Turn GPIOE Pin 15 On
			GPIO_SetBits(GPIOE,GPIO_Pin_9); //Turn GPIOE Pin 9 Off
			GPIO_SetBits(GPIOE,GPIO_Pin_10); //Turn GPIOE Pin 10 Off
			GPIO_SetBits(GPIOE,GPIO_Pin_13); //Turn GPIOE Pin 13 Off
			GPIO_SetBits(GPIOE,GPIO_Pin_14); //Turn GPIOE Pin 14 Off
		}
	}
}

void init_Clocks(void)
{
	/* GPIOA Periph clock enable */
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOA | RCC_AHBPeriph_GPIOE, ENABLE);
}

void init_GPIO(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	/* Configure PA0 in input pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	/* Configure PC8 and PC9 in output pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8 | GPIO_Pin_9 | GPIO_Pin_10 | GPIO_Pin_11 | GPIO_Pin_12 | GPIO_Pin_13 | GPIO_Pin_14 | GPIO_Pin_15;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOE, &GPIO_InitStructure);
}
